//
//  Template+More.swift
//  ClockWidget
//
//  Created by fff on 2024/6/28.
//

import Foundation

extension DiyPaperTemplateModel {
     
    // 各模板对应的模板view类型
    var templateViewType: DiyPaperTemplateBaseView.Type {
        switch template {
        case .unknow:
            return DiyPaperTemplateBaseView.self
            
        case .paleYellowFlowers:
            return TSDiyTLYFlowersView.self
        case .pinkAnimal:
            return TSDiyTLPinkAnimalView.self
        }
    }
}
